Skip to main content
`Ctrl`+`K`

# DMShellGetCreateInterpolation

Get the routine used to create the interpolation operator

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellGetCreateInterpolation(DM dm, PetscErrorCode (**interp)(DM, DM, Mat *, Vec *))

Logically Collective

## Input Parameter

- dm - the `DMSHELL`

## Output Parameter

- interp - the routine to create the interpolation

## See Also

`DM`, `DMSHELL`, `DMShellGetCreateInjection()`, `DMCreateInterpolation()`, `DMShellGetCreateRestriction()`, `DMShellSetContext()`, `DMShellGetContext()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages